org.eclipse.oomph.p2.core

## Interface ProfileContainer

- All Known Subinterfaces:
    Agent, BundlePool

      public interface ProfileContainer

  Author:
    Eike Stepper

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProfileCreator` | `addProfile(String id, String type)`
    `Profile` | `getProfile(String id)`
    `Set<String>` | `getProfileIDs()`
    `Collection<Profile>` | `getProfiles()`

- - ### Method Detail

    - #### getProfileIDs

          Set<String> getProfileIDs()

    - #### getProfiles

          Collection<Profile> getProfiles()

    - #### getProfile

          Profile getProfile(String id)

    - #### addProfile

          ProfileCreator addProfile(String id,
                                  String type)

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html